> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.crowdchange.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Teams

> Retrieve a paginated list of CrowdChange fundraising teams the authenticated user belongs to, including role, campaign, goal, and raised totals.

## Query parameters

<ParamField query="token" type="string" required>
  User's access token.
</ParamField>

<ParamField query="text" type="string">
  Search term.
</ParamField>

<ParamField query="page" type="integer">
  Page number. Default: `1`
</ParamField>

<ParamField query="limit" type="integer">
  Number of results to return. Default: `10`
</ParamField>

<ParamField query="sort" type="string">
  Key to sort by. Allowed values: `name`, `amount_raised`, `amount_goal`
</ParamField>

<ParamField query="direction" type="string">
  Direction of sorting. Allowed values: `asc`, `desc`
</ParamField>

<ParamField query="lang" type="string">
  API's locale. Allowed values: `en`, `fr`
</ParamField>

## Response

Returns an array of objects with the following fields.

<ResponseField name="id" type="integer">
  Team ID.
</ResponseField>

<ResponseField name="name" type="string">
  Team name.
</ResponseField>

<ResponseField name="description" type="string">
  Team description
</ResponseField>

<ResponseField name="image" type="string">
  Team image ID
</ResponseField>

<ResponseField name="amount_goal" type="number">
  Goal amount.
</ResponseField>

<ResponseField name="amount_raised" type="number">
  Amount raised by the team.
</ResponseField>

<ResponseField name="amount_raised_formatted" type="string">
  Formatted amount raised by the team, includes currency symbol.
</ResponseField>

<ResponseField name="n_pages" type="integer">
  Number of personal pages in the team.
</ResponseField>

<ResponseField name="url" type="string">
  URL to team's page.
</ResponseField>

<ResponseField name="language" type="string">
  Team language. Allowed values: `en`, `fr`
</ResponseField>

<ResponseField name="is_default_image" type="boolean">
  True if the image is default.
</ResponseField>

<ResponseField name="is_default_description" type="boolean">
  True if the description is default.
</ResponseField>

<ResponseField name="images" type="object">
  <Expandable title="properties">
    <ResponseField name="original" type="string">
      URL to original team image.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="fundraiser" type="object">
  Campaign that team belongs to.

  <Expandable title="properties">
    <ResponseField name="id" type="integer">
      Campaign ID.
    </ResponseField>

    <ResponseField name="name" type="string">
      Campaign name.
    </ResponseField>

    <ResponseField name="amount_goal" type="number">
      Campaign's goal amount.
    </ResponseField>

    <ResponseField name="amount_raised" type="number">
      Total amount raised by the campaign.
    </ResponseField>

    <ResponseField name="amount_raised_formatted" type="string">
      Formatted amount raised by the campaign, includes currency symbol.
    </ResponseField>

    <ResponseField name="url" type="string">
      URL to campaign's page.
    </ResponseField>

    <ResponseField name="language" type="string">
      Campaign language. Allowed values: `en`, `fr`
    </ResponseField>

    <ResponseField name="organization" type="object">
      <Expandable title="properties">
        <ResponseField name="id" type="integer">
          Campaign organization's ID
        </ResponseField>

        <ResponseField name="name" type="string">
          Campaign organization's name
        </ResponseField>

        <ResponseField name="custom_id" type="string">
          Campaign organization's Custom ID
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="user" type="object">
  <Expandable title="properties">
    <ResponseField name="id" type="integer">
      Team captain's ID
    </ResponseField>

    <ResponseField name="contact_email" type="string">
      Team captain's email
    </ResponseField>

    <ResponseField name="name" type="string">
      Team captain's name
    </ResponseField>

    <ResponseField name="first_name" type="string">
      Team captain's first name
    </ResponseField>

    <ResponseField name="last_name" type="string">
      Team captain's last name
    </ResponseField>

    <ResponseField name="title" type="string">
      Team captain's title
    </ResponseField>
  </Expandable>
</ResponseField>

**Other responses**

| Status | Description |
| ------ | ----------- |
| `400`  | Bad Request |
| `403`  | Forbidden   |

<ResponseExample>
  ```json theme={null}
  [
    {
      "id": 1,
      "name": "Team A",
      "description": "Team description",
      "image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
      "amount_goal": 1000,
      "amount_raised": 550,
      "amount_raised_formatted": "$550",
      "n_pages": 5,
      "url": "https://demo.crowdchange.dev/1/team/2",
      "language": "en",
      "is_default_image": false,
      "is_default_description": false,
      "images": {
        "original": "https://img.crowdchange.co/files/abc.png?tr=w-[width],h-[height]"
      },
      "fundraiser": {
        "id": 1,
        "name": "Gala Night",
        "amount_goal": 10000,
        "amount_raised": 8000,
        "amount_raised_formatted": "$8,000",
        "url": "https://demo.crowdchange.dev/1",
        "language": "en",
        "organization": {
          "id": 1,
          "name": "Crowdchange",
          "custom_id": "CrowdchangeID"
        }
      },
      "user": {
        "id": 1,
        "contact_email": "john@example.com",
        "name": "John Snow",
        "first_name": "John",
        "last_name": "Snow",
        "title": "Mr."
      }
    }
  ]
  ```
</ResponseExample>
